/* Estilo general y restablecimiento de márgenes de la página de login */
body,
html {
    margin: 0;
    padding: 0;
    font-family: Verdana, Arial, sans-serif;
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

/* Contenedor del formulario de login */

@media only screen and (min-device-width : 320px) and (max-device-width : 480px) {
    .login-container {
        padding: 10px 10px 10px 10px;
        background: url('../img/fondos/fondo-container-380.png') no-repeat center center;     
        width: 330px;
        height: 337px;
        max-height: 337px;
        min-height: 337px;
        max-width: 330px;
    }

    /* Campos de entrada */
    .input-group input {
        width: 70%;
    }

    /* Botón de submit */
    button {
        width: 70%;
    }

    .footer-links a {
        padding-left: 5px;
        padding-right: 5px;
    }
}

@media only screen and (min-width : 901px) {
    
    .login-container {
        padding: 30px 60px 30px 60px;
        background: url('../img/fondos/fondo-container-700.png') no-repeat center center;
        width: 600px;
        height: 337px;
        max-height: 337px; 
        min-height: 337px;
        max-width: 600px;
    }

    /* Campos de entrada */
    .input-group input {
        width: 50%;
    }

    /* Botón de submit */
    button {
        width: 50%;
    }

    .footer-links a {
        padding-left: 30px;
        padding-right: 30px;
    }

}

.login-container {
     background-color: #f6f6f6;
     border-radius: 50px;
     border-color: #f6f6f6;
     border-style: solid;
     border-width: 0.5px;
     box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
     text-align: center;
     position: relative;
     min-height: 400px; 
}

/* Título del formulario */
.login-container h1 {
    margin-top:10px;
    margin-bottom: 20px;
    color: #003a5c;
}

/* Mensaje de error */
.error-message {
    position: relative;
    color: #ed6861;
    font-size: 9pt;
    margin-top: 10px; /* Espacio debajo del título */
    margin-bottom: 10px;
    height: 20px; /* Asigna una altura fija al mensaje */
    opacity: 0; /* Hace que el mensaje sea invisible */
    transition: opacity 0.3s ease-in-out; /* Transición suave para mostrar/ocultar */
}

.error-message.show {
    opacity: 1; /* Muestra el mensaje */
}

/* Grupo de entrada */
.input-group {
    margin-bottom: 15px;
}

/* Campos de entrada */
.input-group input {
    padding: 10px;
    border: 1px solid #cccccc;
    border-radius: 10px;
    box-sizing: border-box;
    text-align: center;
    background-color: #ffffff;
    color:#003a5c;
}

.input-group input:focus {
    border-color: #003a5c;
    outline: 0 none;
}

/* Botón de submit */
button {
    padding: 10px;
    border: none;
    border-radius: 10px;
    background-color: #003a5c;
    color: #ffffff;
    font-size: 16px;
    cursor: pointer;
}

/* Cambio de color del botón en hover */
button:hover {
    background-color: #003366;
}

/* Enlace de olvidaste tu acceso */
.forgot-link {
    display: block;
    margin-top: 20px;
    color: #003a5c;
    text-decoration: none;
    font-size: 9pt;
}

/* Enlaces de pie de página */
.footer-links {
    margin-top: 30px;
    margin-bottom: 0px;
}

.footer-links a {
    color: #003a5c;
    text-decoration: none;
    font-size: 9pt;
}

.footer-links-extra {
    margin-top: 20px;
}

.footer-links-extra a {
    color: #003a5c;
    text-decoration: none;
    font-size: 9pt;
    font-weight: bold;
}

.footer-links-extra p {
    color: #003a5c;
    text-decoration: none;
    font-size: 9pt;
}
